Package org.apache.sling.scripting.sightly.testing.models

## Class TestModel

- java.lang.Object
- - org.apache.sling.scripting.sightly.testing.models.TestModel

    @Model(adaptables=org.apache.sling.api.resource.Resource.class)
    public class TestModel
    extends Object

### Constructor Summary

Constructors
`TestModel​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<org.apache.sling.api.resource.Resource>` `getChildren()`
`Date` `getDate()`
`String` `getEndTag()`
`boolean` `getIncludeChildren()`
`String` `getStartTag()`
`String` `getTag()`
`String` `getText()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestModel

    public TestModel​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getText

    public String getText()

#### getTag

    public String getTag()

#### getIncludeChildren

    public boolean getIncludeChildren()

#### getStartTag

    public String getStartTag()

#### getEndTag

    public String getEndTag()

#### getChildren

    public Iterator<org.apache.sling.api.resource.Resource> getChildren()

#### getDate

    public Date getDate()